#!/usr/bin/env bash
# Pi-hole: A black hole for Internet advertisements
# (c) 2017 Pi-hole, LLC (https://pi-hole.net)
# Network-wide ad blocking via your own hardware.
#
# Flushes /run/log/pihole/pihole.log
#
# This file is copyright under the latest version of the EUPL.
# Please see LICENSE file for your rights under this license.



echo -n "::: Flushing /run/log/pihole/pihole.log ..."
# Test if logrotate is available on this system
if command -v /usr/bin/logrotate &> /dev/null; then
  /usr/bin/logrotate --force /etc/pihole/logrotate
else
  echo " " > /run/log/pihole/pihole.log
fi
echo "... done!"
